# DMMGGetUser

Returns the user context for a particular level

### Synopsis

    void* DMMGGetUser(DMMG *dmmg,PetscInt level)

Not Collective

### Input Parameters

| dmmg | - DMMG solve context
| level | - the number of the level you want the context for

### See Also

DMMGCreate(), DMMGSetUser()

Level:intermediate
Location: src/snes/utils/../../../include/petscdmmg.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex29.c.html
src/snes/examples/tutorials/mex34f90.F.html
src/snes/examples/tutorials/ex34f90.F.html
src/snes/examples/tutorials/mex35f90.F90.html
src/snes/examples/tutorials/ex35f90.F90.html
src/snes/examples/tutorials/mex36f90.F90.html
src/snes/examples/tutorials/ex36f90.F90.html
src/snes/examples/tutorials/mex37f90.F90.html
src/snes/examples/tutorials/ex37f90.F90.html